Subject: Re: [bess] comment on draft-ietf-bess-evpn-yang

From: Lavanya Sundarraj <[email-masked]>
Date: Fri, 22 Feb 2019 06:38:42 +0000

Hi,

Thanks for pointing out the correction.
I have changed it accordingly.

1.       I moved the control-word from evpn-pw yang model to evpn yang model.
And changed the type as Boolean.

2.       EVPN Instance Context is actually referring to evpn-instance; which is already part of EVPN yang model, so I am reverting the comments regarding that.

Below are my changes according to your comments:

    augment /pw:pseudowires/pw:pseudowire/pw:pw-type:
       +-:(evpn-pw)
          +-rw evpn-pw
             +-rw remote-id?   uint32
             +-rw local-id?    uint32
          +-rw mtu?                     uint32

   module: ietf-evpn
       +--rw evpn
          +--rw common
          |  +--rw (replication-type)?
          |     +--:(ingress-replication)
          |     |  +--rw ingress-replication?   boolean
          |     +--:(p2mp-replication)
          |        +--rw p2mp-replication?      boolean
          +--rw control-word?            Boolean
          +--rw evpn-instances
             +--rw evpn-instance* [name]
                +--rw name                                string
               +--rw evi?                                uint32
                +--rw pbb-parameters {evpn-pbb-params}?
                |  +--rw source-bmac?   yang:hex-string
                +--rw bgp-parameters

Yang changes:
     /* augments */

     augment "/pw:pseudowires/pw:pseudowire/pw:pw-type" {
       description "Augment for an L2VPN instance to add EVPN VPWS " +
                   "pseudowire";
       case evpn-pw {
         container evpn-pw {
           description "EVPN pseudowire";
           leaf remote-id {
             type uint32;
             description "Remote pseudowire ID";
           }
           leaf local-id {
             type uint32;
             description "Local pseudowire ID";
           }
         }
       }
    /*
    mtu (vpws-mtu)
    */
    leaf mtu {
      type uint32 {
        range "0..4294967295";
      }
      description
        "Configure MTU";
    }
  }

    /*
    control-word
    */
    leaf control-word {
      type boolean;
      default "true";
      description
        "Enable/Disable control-word";
    }
  }

Regards,
Lavanya Sundarraj.

From: Yu Tianpeng [mailto:[email-masked]]
Sent: Friday, February 22, 2019 1:03 AM
To: Lavanya Sundarraj <[email-masked]>
Cc: [email-masked]; Debojyoti Guha <[email-masked]>; C Gangadhara Reddy <[email-masked]>; Chundu Kotesh Babu <[email-masked]>; P Muthu Arul Mozhi <[email-masked]>; SatishKumar N Rodd <[email-masked]>
Subject: Re: [bess] Request for version update of draft-ietf-bess-evpn-yang

Hi,
Haven't got time to read through but had a quick look on what is newly added, there are couple of issues:
1. 7432 clearly defines usage of control word usage, cw is not sth dedicated to vpws I have to point out.
2. Type of control word should be boolean instead of empty.

Another one is I don't understand the meaning of newly added concext. Appreciate to clarify.
Thanks
Tim

On Thu, 21 Feb 2019, 13:28 Lavanya Sundarraj, <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Please find updated  EVPN yang model with evpn-pw attributes in the attachment.
This draft is to introduce EVPN-VPWS attributes :

o   Control-word

o   MTU

o   EVPN Instance Context

The new changes added in the existing EVPN yang model are highlighted.

Could you please review this draft and send your valuable comments.

Regards,
Lavanya Sundarraj.
_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess